Skip to main content
POST
Create a CRM activity

Authorizations

Authorization
string
header
required

Project-scoped secret API key (sk_…). Pass in the Authorization: Bearer <key> header. Grants access to the project the key was issued for.

Body

application/json
type
enum<string>
required

Manual activity type. Stage changes are created by the stage endpoint.

Available options:
note,
call,
email,
sms,
meeting,
task
contact_id
integer | null

CRM contact to attach the activity to.

Required range: x >= 1
Example:

1024

company_id
integer | null

CRM company to attach the activity to.

Required range: x >= 1
Example:

55

direction
enum<string> | null
Available options:
inbound,
outbound
channel
string | null
Maximum string length: 100
subject
string | null
Maximum string length: 255
body
string | null
occurred_at
string<date-time> | null

When the activity happened. Defaults to now.

due_at
string<date-time> | null

Task due time, when applicable.

completed_at
string<date-time> | null

Task completion time, when applicable.

Response

The created CRM activity.

Public CRM activity projection.

id
integer
required

Numeric CRM activity identifier.

Example:

5001

type
enum<string>
required
Available options:
note,
call,
email,
sms,
meeting,
task,
stage_change
occurred_at
string | null
required

When the activity happened. ISO 8601.

contact_id
integer | null

Linked CRM contact identifier.

Example:

1024

company_id
integer | null

Linked CRM company identifier.

Example:

55

direction
enum<string> | null
Available options:
inbound,
outbound
channel
string | null
subject
string | null
body
string | null
due_at
string | null

Task due time, when applicable. ISO 8601.

completed_at
string | null

Task completion time, when applicable. ISO 8601.